Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), NonPersistent> _
Public Class OrderInRowsAdvanceBallanceInfo 'Ez tartalmazza a nyitott előlegegyenleggel rendelkező vevők nyitott rendeléseit
    Inherits XPObject
    Private Shared myOid As Integer = 0
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        myOid += 1
        Oid = myOid
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property Customers As Customers
    Property OrderInRows As OrderInRows 'Bejövő megrendelési sor
    Property BallanceHUF_Advance As Double 'Előlegegyenleg

    ReadOnly Property DifferentHUF As Double
        Get
            Dim _Different As Double = 0
            If OrderInRows IsNot Nothing Then
                _Different = BallanceHUF_Advance - OrderInRows.SumPriceBruttoHUF
            Else
                _Different = BallanceHUF_Advance
            End If
            Return _Different
        End Get
    End Property
End Class
